JSCUS_CACHE = function(){};
JSCUS_CACHE.SITE_SHOW_RESULT_PER_PAGE_PLAIN_TEXT = 1000;
JSCUS_CACHE.SITE_ON_ERROR_BORDER_COLOR = '#FF0000';
JSCUS_CACHE.IS_AUTHENTICATED = <!--[#IS_AUTHENTICATED;]-->;

JSCUS_CACHE.SERVER_URL = "<!--[#SITE_URL;]-->";
JSCUS_CACHE.ROOT_PATH = JSCUS_CACHE.SERVER_URL;
JSCUS_CACHE.WEBSITE_NAME = "PeakPOS Web";
JSCUS_CACHE.COPY_RIGHTS = "Copyright &copy; " + JSCUS_CACHE.WEBSITE_NAME + " 2021";
JSCUS_CACHE.IS_MOBILE = false;

// Landing Page aftger login
JSCUS_CACHE.AUTH_REDIRECT_URL = [];
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/category/dashboard.html'); 

JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/hub/login_device.html'); 
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/cashier/login_device.html'); 
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/rider/login_device.html'); 
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/sa/pos_reserve.html');
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/trucking/job-order.html');

JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/bakery/login_device.html'); 

JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/cashier/login_device.html'); 
JSCUS_CACHE.AUTH_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/waiter/login_device.html'); 


// Landing page after logout / no auth info
JSCUS_CACHE.LOGOUT_REDIRECT_URL = [];
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/login.html');

JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/hub/login.html');
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/cashier/login.html');
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/rider/login.html');
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/sa/login.html');
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/trucking/login.html');

JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/bakery/login.html');

JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/cashier/login.html');
JSCUS_CACHE.LOGOUT_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/waiter/login.html');


// Landing page after login_device
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL = [];
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push('');

JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/hub/hub.html');
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/cashier/pos.html');
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/rider/rider_job_order.html');
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push('');
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push('');

JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/bakery/pos.html');
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/cashier/pos.html');
JSCUS_CACHE.LOGIN_DEVICE_REDIRECT_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/waiter/pos.html');


// App specific base-address
JSCUS_CACHE.BASE_URL = [];
JSCUS_CACHE.BASE_URL.push(JSCUS_CACHE.SERVER_URL);

JSCUS_CACHE.BASE_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/hub');
JSCUS_CACHE.BASE_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/cashier');
JSCUS_CACHE.BASE_URL.push(JSCUS_CACHE.SERVER_URL + '/p/water/rider');
JSCUS_CACHE.BASE_URL.push('');
JSCUS_CACHE.BASE_URL.push('');

JSCUS_CACHE.BASE_URL.push(JSCUS_CACHE.SERVER_URL + '/p/bakery');
JSCUS_CACHE.BASE_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/cashier');
JSCUS_CACHE.BASE_URL.push(JSCUS_CACHE.SERVER_URL + '/p/resto/waiter');


// 0-PC Login 
// 1-App Customized Login (Type 1) 
// 2-App Customized Login (Type 2), etc.
JSCUS_CACHE.LOGIN_CLASS = 0;

CUSTOM_SITE_ARRAY_REQUEST_LIMIT = <!--[#SITE_ARRAY_REQUEST_LIMIT;]-->;
JSCUS_CACHE.PHP_UPLOAD_MAX_FILE_SIZE = '<!--[#UPLOAD_MAX_FILE_SIZE;]-->';
JSCUS_CACHE.PHP_POST_MAX_SIZE = '<!--[#POST_MAX_SIZE;]-->';
JSCUS_CACHE.PHP_MEMORY_LIMIT = '<!--[#MEMORY_LIMIT;]-->';
JSCUS_CACHE.PHP_MAX_EXECUTION_TIME = '<!--[#MAX_EXECUTION_TIME;]-->';

// Get Root Path : Online dedicated directory
if(JSVC_STR.VAR_COUNT(JSCUS_CACHE.ROOT_PATH, '/') <= 2)
{
	JSCUS_CACHE.ROOT_PATH = '/';
}
// Get Root Path :  Sub-Directories
else
{
	var SLASH_INDEX = JSCUS_CACHE.ROOT_PATH.indexOf('/');
	SLASH_INDEX = JSCUS_CACHE.ROOT_PATH.indexOf('/', SLASH_INDEX + 1);
	SLASH_INDEX = JSCUS_CACHE.ROOT_PATH.indexOf('/', SLASH_INDEX + 1);
	JSCUS_CACHE.ROOT_PATH = JSVC_STR.VAR_DLEFT(JSCUS_CACHE.ROOT_PATH, SLASH_INDEX) + '/';
}

// Apply Copyrights if exists
if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("WEBSITE_COPY_RIGHTS_LBL"))
{
	JSOC_ELEMENT.VAR_INNER_HTML("WEBSITE_COPY_RIGHTS_LBL", JSCUS_CACHE.COPY_RIGHTS);      		
}        


// Option to show bags modal
JSCUS_CACHE.SHOW_BAGS = true;
JSCUS_CACHE.SHOW_BAGS_ID = 22; // product prodtype ID LV1 to identify bags